from requests import get, post
from globals import *
from json import loads
from munch import DefaultMunch

def notify(priority, message):
  r = post("https://api.pushover.net/1/messages.json", data = {
    "token": po_bots_token,
    "user": po_user_token,
    "message": "alpine testing: " + message,
    "priority": priority
  })


url = 'https://httpbin.org/get'

response = get(url)
if response.reason == "OK":
  data = DefaultMunch.fromDict(loads(response.text.replace('-', '_')))
  notify(-1, data.headers.User_Agent)
else:
  notify(-1, response.reason)
